<body>
<ng-template #noUser>
<div class="booking-section-2">
<p>
    If you want to book a villa you should be logged in or registered.
    <br>
    Click here to choose one option and see our wonderful destinations.
</p>
<a [routerLink]="['/login']"><button type="submit" class = "form_button">Login/Register now</button></a>
</div>
</ng-template>

<div *ngIf="currentUser().userRole == 'guest'; else noUser">
<div class = "booking-section">
      <form [formGroup]="createReservationVilla" (ngSubmit)="submitForm()" class="form-inline" action="">
       <h4>{{villa.villaName}}</h4>
          <div class = "row" >
          <div class = "column-villa">
              <label for="guests">Number of Guests:</label>
              <input type="text" id="guests" class = "form-contol" name="guests" formControlName ="guests">
          </div>
          <div class="column-villa" >
               <label for="startAt"> Check-in Data</label>
               <input type="date" id="startdate" name="startDate" formControlName="startAt">
           </div>
           <div class = "column-villa">
                <label for="endAt"> Check-out Data</label>
                <input type="date" id="enddate" name="endDate" formControlName="endAt">
           </div>
</div>
            <button [disabled]="!createReservationVilla.valid" type="submit" class = "form_button">Book</button>
</form>
</div>
<div id="#map">
<br><br>
<agm-map 
(mapReady)="onMapReady()"
[latitude]="latitude" 
[longitude]="longitude"
[zoom]="13">
    <agm-marker
  [latitude]="latitude" 
  [longitude]="longitude"
  [fillColor]= "'#f44336'"
  [fillOpacity]="0.4"
  >
    </agm-marker>
</agm-map>
</div>
